



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Java异常处理-----运行时异常（RuntimeException）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Java异常处理-----运行时异常（RuntimeException）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-11 07:40:05 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<p>RuntimeException <br /><br />
RunntimeException的子类：</p>
<blockquote><p>ClassCastException</p>
<blockquote><p>多态中，可以使用Instanceof 判断，进行规避</p></blockquote>
<p>ArithmeticException</p>
<blockquote><p>进行if判断，如果除数为0，进行return</p></blockquote>
<p>NullPointerException</p>
<blockquote><p>进行if判断，是否为null</p></blockquote>
<p>ArrayIndexOutOfBoundsException</p>
<blockquote><p>使用数组length属性，避免越界</p></blockquote>
<p>这些异常时可以通过程序员的良好编程习惯进行避免的</p>
<blockquote><p>1：遇到运行时异常无需进行处理，直接找到出现问题的代码，进行规避。 <br /><br />
                        2：就像人上火一样牙疼一样，找到原因，自行解决即可 <br /><br />
                        3：该种异常编译器不会检查程序员是否处理该异常 <br /><br />
                        4：如果是运行时异常，那么没有必要在函数上进行声明。</p></blockquote>
<p>6：案例</p>
<blockquote><p>1：除法运算功能（div(int x,int y)） <br /><br />
                        2：if判断如果除数为0，throw new ArithmeticException(); <br /><br />
                        3：函数声明throws ArithmeticException <br /><br />
                        4：main方法调用div,不进行处理 <br /><br />
                        5：编译通过，运行正常 <br /><br />
                        6：如果除数为0，报异常，程序停止。 <br /><br />
                        7：如果是运行时异常，那么没有必要在函数上进行声明。</p>
<blockquote><p>1：Object类中的wait()方法，内部throw了2个异常 IllegalMonitorStateException InterruptedException</p></blockquote></blockquote></blockquote>
<hr>
<blockquote><p>1：只声明了一个(throws) IllegalMonitorStateException是运行是异常没有声明。</p></blockquote>
<pre class="prettyprint linenums"><code>class Demo{

    public static void main(String[] args){<br />
        div(2, 1);<br />
    }

    public static void div(int x, int y) {<br />
        if (y == 0) {<br />
            throw new ArithmeticException();<br />
        }<br />
        System.out.println(x / y);<br />
    }<br />
}</code></pre>
<hr>
<blockquote><p><strong>【正在看本人博客的这位童鞋，我看你气度不凡，谈吐间隐隐有王者之气，日后必有一番作为！下面有个“顶”字，你就顺手把它点了吧（要先登录CSDN账号哦 ）】</strong></p></blockquote>
<hr>
<blockquote><p><strong>—–乐于分享，共同进步！ </strong> <br /><br />
  <strong>—–更多文章请看：<a href="http://blog.csdn.net/duruiqi_fx" rel="external nofollow noreferrer">http://blog.csdn.net/duruiqi_fx</a></strong></p></blockquote>
<hr></div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/0qw0go39.html">SAE使用心得1</a>
		</li>
						<li><a href="https://www.batexi.com/a/39r1r3r8.html">&lbrack;转&rsqb;编译安装libevent，memcache，以及php的memcached扩展</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1ovmz8.html">聊聊SOA面向服务架构</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9j7rrl9.html">struts2-通配符映射（基本没啥卵用）和动态调用</a>
		</li>
						<li><a href="https://www.batexi.com/a/m96wpj3q.html">jQuery学习笔记整理</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy7xlmq.html">java基础&lpar;1&rpar;-比较jdk5&comma;jdk6&comma;jdk7的新特性</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9j5rme8.html">【原】log4cplus使用说明</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnr002q.html">hdu 5533   Dancing Stars on Me</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1z6kn9.html">TestNG 与 Junit的比较（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpe0d0q.html">&lbrack;Oracle&rsqb;TRIGGER</a>
		</li>
						<li><a href="https://www.batexi.com/a/90me6w38.html">Spring&plus;SpringMVC&plus;MyBatis&plus;easyUI整合优化篇（五）结合MockMvc进行服务端的单元测试</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpxdlxq.html">深入了解MyBatis返回值</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojrwe1q.html">iOS网络基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkmlxz8.html">AngularJS进阶&lpar;十五&rpar;Cookie &amp;&num;39&semi;data&amp;&num;39&semi; possibly not set or overflowed because it was too large</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxk3rxd8.html">eclipse代码提示设置过常用字符还是不起作用的解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eynjpz9.html">Spring源码情操陶冶&num;task&colon;executor解析器</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1egx2q.html">Windows nessus安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7oxe6k8.html">【BUAA-OO】第一单元作业总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rdpp49.html">【git】如何去解决fatal&colon; refusing to merge unrelated histories</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwvroey8.html">&lbrack;CF536D&rsqb;Tavas in Kansas</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9jz6w3e8.html">重拾Python&lpar;5&rpar;&colon;数据读取</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ojp7d5q.html">【swift】ios中生成二维码</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1kxmj29.html">sdut 2878 圆圈</a>
			</li>
						<li><a href="https://www.batexi.com/a/8eyke3j9.html">&lbrack;JLOI2015&rsqb;管道连接</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4z1y6e9.html">●BZOJ 3123 &lbrack;Sdoi2013&rsqb;森林</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpvpn0q.html">bzoj1531&lbrack;POI2005&rsqb;Bank notes 单调队列优化dp</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4z1j309.html">CentOS 7 安装MySQL 5&period;6遇到问题及解决方案</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ojr4g1q.html">Delphi7通过SendMessage来实现默认打印机的切换</a>
			</li>
						<li><a href="https://www.batexi.com/a/96pn3yy8.html">Delphi 7连接MySql 5&period;5&period;15&lpar;转&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2j1kno8.html">百度移动深度学习 Mobile-deep-learning（MDL）</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
